import type { NotificationOptions } from '../types';
declare function addNotification(notification: NotificationOptions): string | number;
declare function removeNotification(deletedId: number | string): void;
declare function removeAll(): void;
declare const _default: import("vue").DefineComponent<{}, {
    addNotification: typeof addNotification;
    removeNotification: typeof removeNotification;
    removeAll: typeof removeAll;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
